## GtkViewport GtkViewport |

## Functions

GtkWidget * | gtk_viewport_new ()
GtkAdjustment * | gtk_viewport_get_hadjustment ()
GtkAdjustment * | gtk_viewport_get_vadjustment ()
void | gtk_viewport_set_hadjustment ()
void | gtk_viewport_set_vadjustment ()
void | gtk_viewport_set_shadow_type ()
GtkShadowType | gtk_viewport_get_shadow_type ()
GdkWindow * | gtk_viewport_get_bin_window ()
GdkWindow * | gtk_viewport_get_view_window ()

## Properties

GtkAdjustment * | hadjustment | Read / Write / Construct
GtkShadowType | shadow-type | Read / Write
GtkAdjustment * | vadjustment | Read / Write / Construct

## Signals

void | set-scroll-adjustments | Action

## Types and Values

struct | GtkViewport

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBin
                            ╰── GtkViewport

## Implemented Interfaces

GtkViewport implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <gtk/gtk.h>

## Description

## Functions

### gtk_viewport_new ()

    GtkWidget *
    gtk_viewport_new (GtkAdjustment *hadjustment,
                      GtkAdjustment *vadjustment);

### gtk_viewport_get_hadjustment ()

    GtkAdjustment *
    gtk_viewport_get_hadjustment (GtkViewport *viewport);

### gtk_viewport_get_vadjustment ()

    GtkAdjustment *
    gtk_viewport_get_vadjustment (GtkViewport *viewport);

### gtk_viewport_set_hadjustment ()

    void
    gtk_viewport_set_hadjustment (GtkViewport *viewport,
                                  GtkAdjustment *adjustment);

### gtk_viewport_set_vadjustment ()

    void
    gtk_viewport_set_vadjustment (GtkViewport *viewport,
                                  GtkAdjustment *adjustment);

### gtk_viewport_set_shadow_type ()

    void
    gtk_viewport_set_shadow_type (GtkViewport *viewport,
                                  GtkShadowType type);

### gtk_viewport_get_shadow_type ()

    GtkShadowType
    gtk_viewport_get_shadow_type (GtkViewport *viewport);

### gtk_viewport_get_bin_window ()

    GdkWindow *
    gtk_viewport_get_bin_window (GtkViewport *viewport);

Since: 2.20

### gtk_viewport_get_view_window ()

    GdkWindow *
    gtk_viewport_get_view_window (GtkViewport *viewport);

Since: 2.22

## Types and Values

### struct GtkViewport

    struct GtkViewport;

## Property Details

### The `“hadjustment”` property

      “hadjustment”              GtkAdjustment *

The GtkAdjustment that determines the values of the horizontal position for this viewport.

Flags: Read / Write / Construct

### The `“shadow-type”` property

      “shadow-type”              GtkShadowType

Determines how the shadowed box around the viewport is drawn.

Flags: Read / Write

Default value: GTK_SHADOW_IN

### The `“vadjustment”` property

      “vadjustment”              GtkAdjustment *

The GtkAdjustment that determines the values of the vertical position for this viewport.

Flags: Read / Write / Construct

## Signal Details

### The `“set-scroll-adjustments”` signal

    void
    user_function (GtkViewport   *horizontal,
                   GtkAdjustment *vertical,
                   GtkAdjustment *arg2,
                   gpointer       user_data)

Flags: Action